Package com.jangular.backend.utils

# Class SecurityUtils

java.lang.Object
com.jangular.backend.utils.SecurityUtils

@Configuration public class SecurityUtils extends Object

## Constructor Summary

Constructors
Constructor
Description
`SecurityUtils()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isCurrentUser(Long userId)`
Check if the authenticated user is the user being accessed
`org.springframework.security.crypto.password.PasswordEncoder`
`passwordEncoder()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SecurityUtils

public SecurityUtils()

## Method Details

### passwordEncoder

@Bean public org.springframework.security.crypto.password.PasswordEncoder passwordEncoder()

### isCurrentUser

public boolean isCurrentUser(Long userId)
Check if the authenticated user is the user being accessed